Subject: Re: [PATCH 4/5] [E1000]: [VLAN] Turn off the HW vlan filter if promisc

From: "Kok, Auke" <[email-masked]>
Date: Fri, 18 Apr 2008 10:48:19 -0700

Joonwoo Park wrote:
> 2008/4/18, Kok, Auke <[email-masked]>:
>> My logistical objection against this patch is that it adjusts only one/two drivers
>> to do something, but I don't see anything consistently in all the drivers at all
>> that suggest that this is the right thing to do at all. Either a mandate or
>> something suggesting that all drivers that do vlan filtering *should* do something
>>  specific in promiscuous mode.
> 
> It's true. We need to fix all the netdev which is VLAN_HW_FILTER capable IMHO.
> However I couldn't make patches for all of them since I don't have those HW :(

sigh, we really should not make e1000(e) guinea pigs - especially at this time.

is there someone who can actually test this for us? I'd be a lot happier if I had
some confidence that people who actually do use promisc/vlans give me a thumbs up.

Auke